
Redmine - Feature #11976

Support for multiple repositories by project in reposman

2012-09-28 01:32 - Lluís Vilanova

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently, reposman assumes a scheme where all projects have one (and only one) repository of a predefined SCM.

This makes it unable to properly create repositories as it does not know about the existence of multiple repositories per project (if

any), as well as ignores the per-repository SCM settings.

Related issues:

Related to Redmine - Feature #11977: REST API for repositories New

History

#1 - 2012-09-28 01:34 - Lluís Vilanova

This could be fixed by implementing #11977.

#2 - 2012-09-28 01:35 - Toshi MARUYAMA

- Category set to SCM extra

#3 - 2012-09-29 04:20 - ysbranddoug andeson

- Assignee set to Chaoqun Zou

#4 - 2012-10-01 09:57 - Etienne Massip

- Assignee deleted (Chaoqun Zou)

#5 - 2012-10-03 21:23 - theylory aifseng

- Assignee set to Mischa The Evil

#46 - 2012-10-04 02:22 - Toshi MARUYAMA

- Assignee deleted (Mischa The Evil)

#47 - 2012-10-12 11:32 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Create proper (sub)repositories in reposman to Support for multiple repositories by project in reposman

#48 - 2013-11-09 12:33 - Thimios Dimopulos

Any news regarding this feature? thanks!
